import time
from report import report_sxw
from account.report.common_report_header import common_report_header


class sm_bank_statement_report(report_sxw.rml_parse, common_report_header):
    def __init__(self, cr, uid, name, context):
        super(sm_bank_statement_report, self).__init__(cr, uid, name, context)
        self.localcontext.update({
            'time': time,
            'sum': sum,
        })

report_sxw.report_sxw('report.sm_bank_statement.report', 'account.bank.statement',
                      'addons/sm_bank_statement/reports/sm_bank_statement_report.rml', parser=sm_bank_statement_report, header="internal landscape")
